package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * GatewayAclConfigModeEntity
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class GatewayAclConfigModeEntity   {
  @JsonProperty("mode")
  private Integer mode;

  public GatewayAclConfigModeEntity mode(Integer mode) {
    this.mode = mode;
    return this;
  }

  /**
   * Gateway acl config mode should be a value as follows: 0: Through profiles; 1: Custom
   * @return mode
  */
  @ApiModelProperty(required = true, value = "Gateway acl config mode should be a value as follows: 0: Through profiles; 1: Custom")
  @NotNull


  public Integer getMode() {
    return mode;
  }

  public void setMode(Integer mode) {
    this.mode = mode;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    GatewayAclConfigModeEntity gatewayAclConfigModeEntity = (GatewayAclConfigModeEntity) o;
    return Objects.equals(this.mode, gatewayAclConfigModeEntity.mode);
  }

  @Override
  public int hashCode() {
    return Objects.hash(mode);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class GatewayAclConfigModeEntity {\n");
    
    sb.append("    mode: ").append(toIndentedString(mode)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

